- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Class

# FFMpeg\Format\Dimension

class Dimension

Dimension object, used for manipulating width and height couples

## Methods

| __construct(integer $width, integer $height) Constructor |
width | getWidth() Return width |
integer | getHeight() Return height |

## Details

###
at line 33
`public __construct(integer $width, integer $height)`

Constructor

#### Parameters

integer | $width |
integer | $height |

#### Exceptions

InvalidArgumentException | when one of the parameteres is invalid

###
at line 48
`public width getWidth()`

Return width

#### Return Value

width |

###
at line 58
`public integer getHeight()`

Return height

#### Return Value

integer |